<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="350dp">

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginStart="1dp"
        android:layout_marginTop="1dp"
        android:layout_marginEnd="1dp"
        android:layout_marginBottom="1dp"
        android:padding="1dp"
        android:background="@color/white"
        android:gravity="center"
        android:orientation="vertical"
        app:layout_constraintDimensionRatio="16:9"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_constraintDimensionRatio="16:9"
            android:paddingLeft="10dp"
            android:paddingRight="10dp"
            android:gravity="center">

            <ImageView
                android:id="@+id/imageProductPicture"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:adjustViewBounds="true"
                android:scaleType="fitCenter"
                android:src="@drawable/default_product"
                app:layout_constraintDimensionRatio="16:9"
                />
        </RelativeLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="1dp"
        android:layout_marginTop="1dp"
        android:layout_marginEnd="1dp"
        android:layout_marginBottom="1dp"
        android:padding="1dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <TextView
            android:id="@+id/textProductName"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/transparent_white"
            android:gravity="center"
            android:text="@string/product_name"
            android:textSize="20sp" />
    </LinearLayout>

    <TextView
        android:id="@+id/textSlot"
        android:layout_width="50dp"
        android:layout_height="30dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:background="@drawable/rounded_background"
        android:text="000"
        android:textColor="@color/white"
        android:textSize="20sp"
        android:gravity="center"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/textPrice"
        android:layout_width="wrap_content"
        android:layout_height="30dp"
        android:layout_marginEnd="8dp"
        android:layout_marginBottom="8dp"
        android:background="@drawable/rounded_background_red"
        android:gravity="center"
        android:paddingStart="15dp"
        android:paddingEnd="15dp"
        android:text="NT$ 000"
        android:textColor="@color/white"
        android:textSize="20sp"
        app:layout_constraintBottom_toTopOf="@+id/linearLayout2"
        app:layout_constraintEnd_toEndOf="parent" />

    <TextView
        android:id="@+id/textRemainingTime"
        android:layout_width="wrap_content"
        android:layout_height="30dp"
        android:layout_marginStart="8dp"
        android:layout_marginBottom="8dp"
        android:background="@drawable/rounded_background"
        android:gravity="center"
        android:paddingStart="15dp"
        android:paddingEnd="15dp"
        android:text="@string/time_left"
        android:textColor="@color/white"
        android:textSize="20sp"
        app:layout_constraintBottom_toTopOf="@+id/linearLayout2"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/textTimeExpired"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_marginBottom="45dp"
        android:background="@drawable/rounded_background"
        android:gravity="center"
        android:paddingStart="15dp"
        android:paddingEnd="15dp"
        android:text="@string/expires_at"
        android:textColor="@color/white"
        android:textSize="24sp"
        app:layout_constraintBottom_toTopOf="@+id/linearLayout2"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@+id/linearLayout" />

    <LinearLayout
        android:id="@+id/mask"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="visible"
        android:background="@color/transparent_black"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/textMask"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="@string/product_sold_out"
            android:textColor="@color/white"
            android:textStyle="bold"
            android:textSize="30sp"/>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>